/*
 * Copyright (C) 2017 University of Goettingen, Germany
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.ugoe.cs.comfort;

import de.ugoe.cs.comfort.collection.metriccollector.mutation.MutationLocation;
import de.ugoe.cs.comfort.collection.metriccollector.mutation.executors.PITExecutor;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Comparator;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Optional;
import java.util.Scanner;
import java.util.Set;
import java.util.function.Predicate;
import java.util.stream.Collectors;

/**
 * @author Fabian Trautsch
 */
public class TestBed {
    public static void main(String[] args) throws IOException {
        //Set<Path> javaFiles = Utils.getAllFilesFromProjectForRegex(Paths.get("/home/ftrauts/Arbeit/phd_experiments/projects/java/zxing_3.3.0/core"), ".*\\.java");
        //PITExecutor executor = new PITExecutor(javaFiles);
        //executor.pitReportFolder = Paths.get("/home/ftrauts");
        //executor.getDetailedResults(Paths.get("/home/ftrauts/Arbeit/phd_experiments/projects/java/zxing_3.3.0/core"), new HashMap<MutationLocation, String>(){});


        Set<Path> javaFiles = Utils.getAllFilesFromProjectForRegex(Paths.get("/home/ftrauts/Arbeit/phd_experiments/projects/java/jfreechart_1.5.0"),
                ".*\\.java");
        System.out.println(javaFiles);
        Utils.getPathForFullyQualifiedClassNameInSetOfPaths(javaFiles,
                "org.jfree.data.xy.WindDataItem",
                Paths.get("/home/ftrauts/Arbeit/phd_experiments/projects/java/jfreechart_1.5.0"));

        /*
        String fullyQualifiedClassName = "org.jfree.data.xy.WindDataItem";
        Set<String> possibleNames = new HashSet<>();
        possibleNames.add(fullyQualifiedClassName.replace(".", "/").concat(".java"));
        String[] parts = fullyQualifiedClassName.split("\\$");
        for(int i=0; i<parts.length; i++) {
            possibleNames.add(String.join("$", Arrays.copyOfRange(parts, 0, parts.length-i)).replace(".", "/").concat(".java"));
        }

        Set<Path> javaFiles = new HashSet<>();
        javaFiles.add(Paths.get("src/main/java/com/google/gson/internal/LinkedTreeMap.java"));
        javaFiles.add(Paths.get("src/main/java/com/google/gson/internal/$Gson$Preconditions.java"));
        javaFiles.add(Paths.get("src/main/java/com/google/gson/internal/$Gson$Types.java"));

        System.out.println(possibleNames);
        Predicate<Path> endsWithSameString =
                p -> possibleNames.stream().anyMatch(pn -> p.toString().endsWith(pn));

        List<Path> candidatePaths = javaFiles.stream()
                .filter(endsWithSameString)
                .collect(Collectors.toList());

        // Return longest path
        Optional<Path> bestFit = candidatePaths.stream().max(Comparator.comparingInt(p -> p.toString().length()));
        if(bestFit.isPresent()) {
            System.out.println(bestFit.get());
        } else {
            for(String possibleName: possibleNames) {
                String[] allParts = possibleName.split("\\/");
                String lastPart = allParts[allParts.length-1].replace(".java", "");
                System.out.println(lastPart);

            }
        }
        */
    }

}